"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const _1 = __importDefault(require("."));
describe("Serializer test function", () => {
    // This is how React Helmet sets data of the element. An end user likely wouldn't do this on their own.
    it("returns true when given a JSON+LD script element with data set dangerously", () => {
        const element = (React.createElement("script", { type: "application/ld+json", dangerouslySetInnerHTML: { __html: JSON.stringify({}) } }));
        const shouldSerialize = _1.default.test(element);
        expect(shouldSerialize).toEqual(true);
    });
    it("returns false when given a script element that's not JSON+LD", () => {
        const element = (React.createElement("script", { type: "application/json", dangerouslySetInnerHTML: { __html: JSON.stringify({}) } }));
        const shouldSerialize = _1.default.test(element);
        expect(shouldSerialize).toEqual(false);
    });
    it("returns false when given a non-script element", () => {
        const element = React.createElement("div", null);
        const shouldSerialize = _1.default.test(element);
        expect(shouldSerialize).toEqual(false);
    });
    it("returns false if value is undefined", () => {
        const shouldSerialize = _1.default.test(undefined);
        expect(shouldSerialize).toEqual(false);
    });
});
describe("Serialization function", () => {
    it("serializes a JSON+LD script element with data set dangerously correctly", () => {
        expect.addSnapshotSerializer(_1.default);
        const ldScriptElement = (React.createElement("script", { type: "application/ld+json", dangerouslySetInnerHTML: { __html: JSON.stringify({}) } }));
        expect(ldScriptElement).toMatchSnapshot();
    });
});
describe("Serialization module", () => {
    it("matches expectations", () => {
        expect(_1.default).toMatchSnapshot();
    });
});
